Subject: Ticket Assigned - Order delivered message recieved
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 27 Dec 2021 04:49:20 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order delivered message recieved Hi,

Reference to order 9519913793

I was suprised to receive a message 3.58pm saying order delivered.
Nobody called (see attached screenshot of my recent call log), nobody rang the bell and nothing outside.

I would like to request to immediately investigate this matter and question the person responsbile for delivery as I need this item today itself.

It really questions the credibility of splash ecommerce platform if items that we pay for are not delivered  and I will definitely write a review about my recent order experience about this if this matter is not resolved today.

Awaiting your immediate reply.

Regards,
Shahid

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3638795